﻿using System;

namespace Model
{
    [Serializable]
    public class Book
    {
        public String Title { get; set; }
        public String Author { get; set; }
        public String Isbn { get; set; }

        /// <summary>
        /// No-arguments constructor, necessary for XML de-serialization
        /// </summary>
        public Book()
        {
        }

        public Book(string title, string author, string isbn)
        {
            Title = title;
            Author = author;
            Isbn = isbn;
        }

        public override string ToString()
        {
            return Author + ": " + Title + ", " + Isbn;
        }


    }
}
